#!/bin/bash

dir=`dirname $0`;

cd "${dir}/"

# Création de l'image docker si non existante avec les volumes
`docker image inspect my_drupal_volumes > /dev/null 2>/dev/null;`
ret=$?;
if [ $ret -ne 0  ]; then
    echo "Creation de l image my_drupal_volumes";
    docker build -t my_drupal_volumes .;
    docker volume create --name mariadb_data ;
fi

#Lancement du container docker

`docker container inspect my_drupal_volumes_c > /dev/null 2>/dev/null;`
ret=$?;
if [ $ret -eq 0  ]; then
    echo 'Starting container my_drupal_volumes_c';
    docker start my_drupal_volumes_c;
else
    echo 'Creating and starting container my_drupal_volumes_c';
    docker run -d --name my_drupal_volumes_c -v my_drupal_volumes:/var/www/drupal -v mariadb_data:/var/lib/mysql -p 8080:80 my_drupal_volumes ;
fi

docker logs -ft my_drupal_volumes_c ;


